Bug 150580 - top segfaults when resizing on x86_64
top segfaults when resizing on x86_64
Status: CLOSED DUPLICATE of bug 149319
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-08 12:13 EST by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 06:00:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-03-08 12:13:23 EST
*** glibc detected *** top: realloc(): invalid next size: 0x0000000000512510 ***
======= Backtrace: ========= 1164  872 R  5.4  0.2   0:00.03 top
/lib64/tls/libc.so.6[0x3baa96b980] 128 S  0.0  0.0   0:00.69 init
/lib64/tls/libc.so.6(__libc_realloc+0x126)[0x3baa96ccb6]0.02 ksoftirqd/0
top[0x403348]   10  -5     0    0    0 S  0.0  0.0   0:04.21 events/0
top[0x40416c]   15  -5     0    0    0 S  0.0  0.0   0:00.01 khelper
/lib64/tls/libc.so.6[0x3baa92ee10]   0 S  0.0  0.0   0:00.00 kthread
/lib64/tls/libc.so.6(__select+0x15)[0x3baa9be385]0   0:00.00 kacpid
top[0x408b9c]   10  -5     0    0    0 S  0.0  0.0   0:01.60 kblockd/0
/lib64/tls/libc.so.6(__libc_start_main+0xdc)[0x3baa91c47c]00 khubd
top[0x4022ca]   11  -5     0    0    0 S  0.0  0.0   0:00.00 aio/0
======= Memory map: ========    0    0 S  0.0  0.0   0:05.86 kswapd0
00400000-0040d000 r-xp 00000000 fd:00 1565224                           
/usr/bin/top
0050d000-0050e000 rw-p 0000d000 fd:00 1565224                           
/usr/bin/top
0050e000-00532000 rw-p 0050e000 00:00 0   0.0  0.0   0:05.74 kjournald
3baa700000-3baa71a000 r-xp 00000000 fd:00 749986                        
/lib64/ld-2.3.4.so
3baa819000-3baa81a000 r--p 00019000 fd:00 749986                        
/lib64/ld-2.3.4.so
3baa81a000-3baa81b000 rw-p 0001a000 fd:00 749986                        
/lib64/ld-2.3.4.so
3baa900000-3baaa2a000 r-xp 00000000 fd:00 749989                        
/lib64/tls/libc-2.3.4.so
3baaa2a000-3baab29000 ---p 0012a000 fd:00 749989                        
/lib64/tls/libc-2.3.4.so
3baab29000-3baab2d000 r--p 00129000 fd:00 749989                        
/lib64/tls/libc-2.3.4.so
3baab2d000-3baab2f000 rw-p 0012d000 fd:00 749989                        
/lib64/tls/libc-2.3.4.so
3baab2f000-3baab33000 rw-p 3baab2f000 00:00 0  0.1   0:00.00 rpc.statd
3baac00000-3baac0d000 r-xp 00000000 fd:00 750057                        
/lib64/libproc-3.2.5.so
3baac0d000-3baad0d000 ---p 0000d000 fd:00 750057                        
/lib64/libproc-3.2.5.so
3baad0d000-3baad0e000 rw-p 0000d000 fd:00 750057                        
/lib64/libproc-3.2.5.so
3baad0e000-3baad14000 rw-p 3baad0e000 00:00 0  0.0   0:00.00 lockd
3baae00000-3baae02000 r-xp 00000000 fd:00 750010                        
/lib64/libdl-2.3.4.so
3baae02000-3baaf02000 ---p 00002000 fd:00 750010                        
/lib64/libdl-2.3.4.so
3baaf02000-3baaf03000 r--p 00002000 fd:00 750010                        
/lib64/libdl-2.3.4.so
3baaf03000-3baaf04000 rw-p 00003000 fd:00 750010                        
/lib64/libdl-2.3.4.so
3bb0b00000-3bb0b0d000 r-xp 00000000 fd:00 750012                        
/lib64/libgcc_s-4.0.0-20050303.so.1
3bb0b0d000-3bb0c0c000 ---p 0000d000 fd:00 750012                        
/lib64/libgcc_s-4.0.0-20050303.so.1
3bb0c0c000-3bb0c0d000 rw-p 0000c000 fd:00 750012                        
/lib64/libgcc_s-4.0.0-20050303.so.1
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0
2aaaaaac3000-2aaaaaac4000 rw-p 2aaaaaac3000 00:00 0
2aaaaaac4000-2aaaaab12000 r-xp 00000000 fd:00 3262395                   
/usr/lib64/libncurses.so.5.4
2aaaaab12000-2aaaaac11000 ---p 0004e000 fd:00 3262395                   
/usr/lib64/libncurses.so.5.4
2aaaaac11000-2aaaaac1f000 rw-p 0004d000 fd:00 3262395                   
/usr/lib64/libncurses.so.5.4
2aaaaac1f000-2aaaaac22000 rw-p 2aaaaac1f000 00:00 0
2aaaaac22000-2aaaaac2c000 r-xp 00000000 fd:00 750011                    
/lib64/libnss_files-2.3.4.so
2aaaaac2c000-2aaaaad2b000 ---p 0000a000 fd:00 750011                    
/lib64/libnss_files-2.3.4.so
2aaaaad2b000-2aaaaad2c000 r--p 00009000 fd:00 750011                    
/lib64/libnss_files-2.3.4.so
2aaaaad2c000-2aaaaad2d000 rw-p 0000a000 fd:00 750011                    
/lib64/libnss_files-2.3.4.so
2aaaaae00000-2aaaaae21000 rw-p 2aaaaae00000 00:00 0
2aaaaae21000-2aaaaaf00000 ---p 2aaaaae21000 00:00 0
7ffffffeb000-800000000000 rw-p 7ffffffeb000 00:00 0
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0
Aborted

Run top.  Make your terminal smaller enough vertically that the "Swap:" line is
obscured.  Immediate crash.  This doesn't seem to happen if you run "gdb
/usr/bin/top", but _does_ happen if you run top first and then "gdb attach
<pid>".  I'm using gnome terminal in en_US.UTF-8 locale.
Comment 1 Karel Zak 2005-03-17 06:00:36 EST

*** This bug has been marked as a duplicate of 149319 ***

Note You need to log in before you can comment on or make changes to this bug.